//====================================================================
//#include "JMPImportML.h"
//
// Institution: Department of Mathematics
// 			    University of North Carolina
// Date: 09-29-2010
// Copyright: None.
//====================================================================

#ifndef JMPIMPORTML_H
#define JMPIMPORTML_H

#include "JMP.h"
#include "mathlink.h"

enum JMPConnError {
	eJMPConnErrFileDNE = MLFirstUserMessage+1,
	eJMPConnErrUnableToConnect,
	eJMPConnErrUnrecognizedFileType,
	eJMPConnErrUnableToOpenDT,
	eJMPConnErrUnableToOpenSASDS,
	eJMPConnErrUnableToOpenFile,
	eJMPConnErrUnableToImportDT,
	eJMPConnErrUnableToAllocMem
};

class JMPConnection {
public:
	JMPConnection();
	~JMPConnection();

public:
	BOOL		initializeOLE( void );
	BOOL		fileExists( const char *szPathToJMPDataTable );
	BOOL		connect( void );
	BOOL		openDT( const char *szPathToJMPDataTable );
    BOOL        sendDTToMathematica( void );
    void		quit( void );
	int			getError() { return m_error; }
	void		sendErrorToMathematica( void );
	
public:
	IJMPAutoApp		m_DispDriver;
	IJMPDoc			m_Doc;
	IAutoDataTable	m_DT;
	BOOL			m_bConnected;
	int				m_error;
};

BOOL initializeOLE(void);
void unInitializeOLE(void);

#endif	//JMPIMPORTML_H
