(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13876,        360]
NotebookOptionsPosition[     12756,        320]
NotebookOutlinePosition[     13275,        342]
CellTagsIndexPosition[     13190,        337]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Establish", " ", "a", " ", "connection", " ", "to", " ", "JMPImport"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"mlink", " ", "=", " ", 
   RowBox[{
   "Install", "[", "\"\<C:\\\\JMPImport\\\\release\\\\JMPImport.exe\>\"", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.494317080141*^9, 3.4943171079709997`*^9}, {
  3.4945862353223886`*^9, 3.494586236728693*^9}, {3.4947439017684*^9, 
  3.4947439147114*^9}, {3.4947527897384*^9, 3.4947528059936*^9}, {
  3.4947569739406*^9, 3.4947569768716*^9}, {3.4948706279854*^9, 
  3.4948706307114*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Terminate", " ", "the", " ", "connection", " ", "to", " ", 
    RowBox[{"JMPImport", " ", "--"}], " ", "Be", " ", "sure", " ", "to", " ", 
    "call", " ", "this", " ", "when", " ", "you", " ", "are", " ", "done", 
    " ", "making", " ", "calls", " ", "to", " ", 
    RowBox[{"JMPImport", "[", "]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Uninstall", "[", "mlink", "]"}]}]], "Input",
 CellChangeTimes->{{3.50072350659*^9, 3.5007235138389997`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Get", " ", "information", " ", "about", " ", "JMPImport"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"?", " ", "JMPImport"}]}]], "Input",
 CellChangeTimes->{{3.494317177783*^9, 3.494317194935*^9}, {
  3.4945376343746*^9, 3.4945376363096*^9}, {3.4947528120776*^9, 
  3.4947528251348*^9}}],

Cell[BoxData[
 StyleBox["\<\"JMPImport[s] uses JMP to open the JMP data table (or SAS data \
set) given by the path s.\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.4948707005634003`*^9},
 CellTags->"Info3494856300-6551275"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Example", ":", " ", 
     RowBox[{"Open", " ", "a", " ", "JMP", " ", "data", " ", 
      RowBox[{"table", ".", "  ", "Note"}], " ", "that", " ", "this", " ", 
      "data", " ", "table", " ", "has", " ", "dates", " ", "and", " ", "in", 
      " ", "some", " ", "cases"}]}], ",", " ", 
    RowBox[{"the", " ", "records", " ", "have", " ", "missing", " ", 
     RowBox[{"values", ".", "  ", "If"}], " ", "a", " ", "record", " ", "in", 
     " ", "a", " ", "JMP", " ", "data", " ", "table", " ", "has", " ", "a", 
     " ", "missing", " ", "value", " ", "in", " ", "a", " ", "particular", 
     " ", "field"}], ",", " ", 
    RowBox[{
    "then", " ", "that", " ", "record", " ", "is", " ", "imported", " ", 
     "with", " ", 
     RowBox[{"Missing", "[", "]"}], " ", "as", " ", "the", " ", "value", " ", 
     "for", " ", "the", " ", 
     RowBox[{"field", ".", "  ", "In"}], " ", "this", " ", "example"}], ",", 
    " ", 
    RowBox[{
    "date_found", " ", "is", " ", "missing", " ", "in", " ", "one", " ", 
     "record", " ", "and", " ", "weight", " ", "is", " ", "missing", " ", 
     "in", " ", "another", " ", 
     RowBox[{"record", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"jmpData", " ", "=", " ", 
   RowBox[{
   "JMPImport", "[", 
    "\"\<C:\\\\JMPImport\\\\sample JMP Data\\\\fossils.jmp\>\"", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.494317319611*^9, 3.494317342093*^9}, {
   3.4943208870656*^9, 3.4943209047836*^9}, {3.494369701808*^9, 
   3.49436970304*^9}, 3.4945255767816*^9, {3.4945256270546*^9, 
   3.4945256278416*^9}, {3.4945339483072*^9, 3.4945339519421997`*^9}, 
   3.4945376426906*^9, {3.49458626738612*^9, 3.494586269573704*^9}, {
   3.4946074906737146`*^9, 3.494607493671334*^9}, {3.4946948399542837`*^9, 
   3.494694878046815*^9}, 3.494695096227333*^9, 3.4947448513766003`*^9, {
   3.500723374347*^9, 3.500723399016*^9}, 3.500723601859*^9, {
   3.5007250691868*^9, 3.5007250912628*^9}, {3.5007251474778*^9, 
   3.5007251506378*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Example", " ", "-", " ", 
    RowBox[{"continued", ":", " ", 
     RowBox[{
     "Convert", " ", "the", " ", "numeric", " ", "column", " ", "that", " ", 
      "represents", " ", "a", " ", "JMP", " ", "date", " ", "into", " ", "a", 
      " ", "Mathematica", " ", "date"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "JMP", " ", "represents", " ", "a", " ", "date", " ", "as", " ", "the", 
     " ", "number", " ", "of", " ", "seconds", " ", "since", " ", "1", " ", 
     "January", " ", "1904.", "  ", "In", " ", "other", " ", "words"}], 
    "..."}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"jmpZeroHour", " ", "=", " ", 
   RowBox[{"AbsoluteTime", "[", 
    RowBox[{"{", 
     RowBox[{"1904", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], 
     "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5007251788188*^9, 3.5007251962118*^9}, {
  3.5007376597622004`*^9, 3.5007376683052*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Since", " ", "the", " ", "first", " ", "field", " ", "of", " ", "each", 
     " ", "record", " ", "in", " ", "the", " ", "sasData", " ", "data", " ", 
     "set", " ", "is", " ", "a", " ", "date"}], ",", " ", 
    RowBox[{
    "we", " ", "want", " ", "to", " ", "convert", " ", "the", " ", "value", 
     " ", "of", " ", "that", " ", "into", " ", "a", " ", "Mathematica", " ", 
     RowBox[{"date", ".", "  ", "In"}], " ", "order", " ", "to", " ", "do", 
     " ", "this"}], ",", " ", 
    RowBox[{
    "we", " ", "shall", " ", "define", " ", "a", " ", "function", " ", 
     "which", " ", "replaces", " ", "the", " ", "first", " ", "element", " ", 
     "of", " ", "its", " ", "input", " ", "list", 
     RowBox[{"(", 
      RowBox[{
      "where", " ", "the", " ", "first", " ", "element", " ", "is", " ", 
       "assumed", " ", "to", " ", "be", " ", "a", " ", "numeric", " ", 
       "value", " ", "representing", " ", "a", " ", "JMP", " ", "date"}], 
      ")"}], " ", "\[IndentingNewLine]", "with", " ", "the", " ", 
     "corresponding", " ", "Mathematica", " ", 
     RowBox[{"date", ".", "  ", "However"}]}], ",", " ", 
    RowBox[{
    "if", " ", "the", " ", "date", " ", "valus", " ", "is", " ", "missing"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"we", " ", 
     RowBox[{"won", "'"}], "t", " ", "convert", " ", 
     RowBox[{"it", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"convertJMPDateToMathematicaDate", "[", "aRecord_", "]"}], " ", ":=",
    " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Count", "[", 
       RowBox[{
        RowBox[{"List", "[", 
         RowBox[{"First", "[", "aRecord", "]"}], "]"}], ",", "_Missing"}], 
       "]"}], "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Insert", "[", 
      RowBox[{
       RowBox[{"Rest", "[", "aRecord", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"DateString", "[", 
        RowBox[{
         RowBox[{"DatePlus", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "1904", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}],
            ",", 
           RowBox[{
            RowBox[{"First", "[", "aRecord", "]"}], "/", 
            RowBox[{"(", 
             RowBox[{"60", "*", "60", "*", "24"}], ")"}]}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "\"\<Day\>\"", ",", "\"\<MonthNameShort\>\"", ",", "\"\<Year\>\""}],
           "}"}]}], "]"}], ",", "1"}], "]"}], ",", "\[IndentingNewLine]", " ",
      "aRecord"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5007377083482*^9, 3.5007377308022003`*^9}, {
  3.5007380563802*^9, 3.5007380739561996`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"For", " ", "example"}], ",", " ", 
    RowBox[{
     RowBox[{"JMP", "'"}], "s", " ", "zero", " ", "hour", " ", "is", " ", 
     RowBox[{"Jan", ".", " ", "1"}]}], ",", " ", 
    RowBox[{"1904", " ", "so", " ", "our", " ", "function"}], ",", " ", 
    RowBox[{
    "when", " ", "given", " ", "a", " ", "list", " ", "with", " ", "0", " ", 
     "as", " ", "its", " ", "first", " ", "element"}], ",", " ", 
    RowBox[{
    "should", " ", "produce", " ", "a", " ", "list", " ", "whose", " ", 
     "first", " ", "element", " ", "is", " ", "01", "Jan1904", " ", 
     "followed", " ", "by", " ", "the", " ", "original", " ", "elements", " ",
      "of", " ", "the", " ", "input", " ", 
     RowBox[{"list", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"convertJMPDateToMathematicaDate", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", " ", "a", ",", "b", ",", "c"}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5007377514362*^9, 3.5007377696442003`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"As", " ", "a", " ", "JMP", " ", "date"}], ",", " ", 
    RowBox[{"Feb", ".", " ", "8"}], ",", " ", 
    RowBox[{"1953", " ", "is", " ", "equal", " ", "to", " ", "1549670400"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"convertJMPDateToMathematicaDate", "[", 
   RowBox[{"{", 
    RowBox[{"1549670400", ",", " ", "a", ",", "b", ",", "c"}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5007380000182*^9, 3.5007380174242*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "actual", " ", "data", " ", "begins", " ", "with", " ", "the", 
    " ", "second", " ", "record", " ", "in", " ", "our", " ", "original", " ",
     "result", " ", 
    RowBox[{"set", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"jmpDataOnly", " ", "=", " ", 
   RowBox[{"Rest", "[", "jmpData", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5007381061542*^9, 3.5007381140861998`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Using", " ", "the", " ", "Mathematica", " ", 
     RowBox[{"Map", "[", "]"}], " ", "function"}], ",", " ", 
    RowBox[{
    "we", " ", "can", " ", "now", " ", "convert", " ", "the", " ", "data", 
     " ", "we", " ", "imported", " ", "so", " ", "that", " ", "JMP", " ", 
     "dates", " ", "are", " ", "replaced", " ", "with", " ", "Mathematica", 
     " ", "dates"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"jmpDataWithDatesConverted", " ", "=", " ", 
   RowBox[{"Map", "[", 
    RowBox[{"convertJMPDateToMathematicaDate", ",", "jmpDataOnly"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5007381313642*^9, 3.5007381498382*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Example", " ", "2"}], ":", " ", 
    RowBox[{"Open", " ", "a", " ", "SAS", " ", "data", " ", "set"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"sasData", " ", "=", " ", 
   RowBox[{
   "JMPImport", "[", 
    "\"\<C:\\\\JMPImport\\\\sample JMP Data\\\\fossils.sas7bdat\>\"", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.4946948255172462`*^9, 3.494694925607793*^9}, 
   3.4947448930566*^9, 3.500723432889*^9, {3.5007377982892*^9, 
   3.5007378021521997`*^9}}],

Cell[BoxData[
 RowBox[{"JMPImport", 
  "[", "\<\"C:\\\\JMPImport\\\\sample JMP Data\\\\fossils.sas7bdat\"\>", 
  "]"}]], "Output",
 CellChangeTimes->{3.5007381947472*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"testing", " ", "for", " ", "errors"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.4946946513665686`*^9, 3.4946946545070934`*^9}, {
  3.4947528913568*^9, 3.4947528928076*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"try", " ", "to", " ", "open", " ", "non"}], "-", 
    RowBox[{"existent", " ", "file"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
  "JMPImport", "[", "\"\<C:\\\\JMPImport\\\\Non-Existent File.jmp\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.49469465883508*^9, 3.4946946861623306`*^9}, 
   3.4947449028196*^9, {3.4947570336846*^9, 3.4947570488906*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"try", " ", "to", " ", "open", " ", "non"}], "-", 
    RowBox[{"data", " ", "file"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
  "JMPImport", "[", "\"\<C:\\\\JMPImport\\\\release\\\\JMPImport.exe\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4947486830262003`*^9, 3.4947487364718*^9}, {
  3.4947570582525997`*^9, 3.4947570743156*^9}, {3.5007234469849997`*^9, 
  3.500723448487*^9}}]
},
WindowSize->{925, 549},
WindowMargins->{{102, Automatic}, {-15, Automatic}},
ShowSelection->True,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3494856300-6551275"->{
  Cell[2063, 59, 237, 4, 40, "Print",
   CellTags->"Info3494856300-6551275"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3494856300-6551275", 13088, 331}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 614, 14, 52, "Input"],
Cell[1162, 36, 518, 9, 52, "Input"],
Cell[CellGroupData[{
Cell[1705, 49, 355, 8, 52, "Input"],
Cell[2063, 59, 237, 4, 40, "Print",
 CellTags->"Info3494856300-6551275"]
}, Open  ]],
Cell[2315, 66, 2055, 40, 112, "Input"],
Cell[4373, 108, 1009, 23, 72, "Input"],
Cell[5385, 133, 2741, 63, 212, "Input"],
Cell[8129, 198, 1034, 21, 72, "Input"],
Cell[9166, 221, 513, 12, 52, "Input"],
Cell[9682, 235, 464, 10, 52, "Input"],
Cell[10149, 247, 715, 15, 72, "Input"],
Cell[CellGroupData[{
Cell[10889, 266, 543, 14, 52, "Input"],
Cell[11435, 282, 170, 4, 30, "Output"]
}, Open  ]],
Cell[11620, 289, 222, 4, 31, "Input"],
Cell[11845, 295, 438, 10, 52, "Input"],
Cell[12286, 307, 466, 11, 52, "Input"]
}
]
*)

(* End of internal cache information *)
